## ros-jazzy-irobot-create-gz-sim 3.0.3

=== debian/changelog ===
ros-jazzy-irobot-create-gz-sim (3.0.3-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 27 Sep 2024 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (3.0.2-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sun, 25 Aug 2024 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (3.0.1-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sat, 24 Aug 2024 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (3.0.0-1bookworm) bookworm; urgency=high

  * Jazzy updates (#229 <https://github.com/iRobotEducation/create3_sim/issues/229>)
  * Contributors: Chris Iverach-Brereton

 -- rkreinin <rkreinin@clearpathrobotics.com>  Sat, 24 Aug 2024 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (2.1.0-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sun, 14 May 2023 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (2.0.0-1bookworm) bookworm; urgency=high

  * fix dependency tree of create3_sim packages (#177 <https://github.com/iRobotEducation/create3_sim/issues/177>)
  * Contributors: Alberto Soragna

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 18 Jan 2023 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (1.0.1-1bookworm) bookworm; urgency=high

  * add boost as explicit dependency and remove unnneded boost usage (#175 <https://github.com/iRobotEducation/create3_sim/issues/175>)
    * add boost as explicit dependency and remove unnneded boost usage
    * do not search for boost component in Boost library

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 11 Apr 2022 16:00:00 -0000

ros-jazzy-irobot-create-gz-sim (1.0.0-1bookworm) bookworm; urgency=high

  * Split irobot_create_toolbox (#153 <https://github.com/iRobotEducation/create3_sim/issues/153>)
    * rename irobot_create_toolbox into irobot_create_nodes
    * move common utilities to irobot_create_toolbox
    * register irobot_create_nodes as rclcpp_components
    * update readme
    * use new node names in parameter files
    * remove declare parameter utility and fix linter tests
  * Ignition Gazebo support (#144 <https://github.com/iRobotEducation/create3_sim/issues/144>)
    * Updated URDF to work with both gazebo classic and ignition:
    - Added gazebo arg to create3.urdf.xacro and standard_dock.urdf.xacro. This arg sets which gazebo version to use.
    - Added ray sensor macro which creates the correct sensor given the gazebo arg
    - Added ignition plugins when gazebo=ignition
    - Adjusted front caster position to better align with the create3 model
    - Adjusted wheeldrop spring stiffness to compensate for the front caster position change
    * Launch joint_state_publisher and diffdrive_controller only in classic
    * Use joint_state_publisher for both ignition and classic
    Cleaned up gazebo launch arg
    Adjusted front caster position
    * Simulation -> simulator
    * Added irobot_create_ignition packages
    * Fixed some linter warnings
    * Removed joint state publisher from ros_ign_bridge
    * - Reorganized packages
    - Shifted center of gravity of create3 forwards by 22.8 mm
    - Added min/max velocity and acceleration to diff drive plugin
    * Moved README.md to irobot_create_gazebo
    Created new README.md for irobot_create_ignition
    * Update README.md
    * Added ignition edifice repos for source installation
    * Create README.md
    * Added missing dependency
    * Renamed dock to standard_dock
    Center of gravity offset only applied in ignition for now
    * Fixed Linter errors
    * Updated README to have installation and example instructions for both Ignition and Classic
    Moved .repos files to the root of the repository
    * Ignition and Gazebo packages are now optional and only built if the required dependencies are installed
    * Made ros_ign_interfaces optional in irobot_create_ignition_bringup
    * fix license and minor changes to CMake and README
    * Interface buttons mock publisher not used in Ignition sim
    * Fixed linter errors
    Co-authored-by: Alberto Soragna <mailto:alberto.soragna@gmail.com>
  * Contributors: Alberto Soragna, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 30 Mar 2022 16:00:00 -0000
