=== debian/control ===
Source: ros-jazzy-irobot-create-gz-sim
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-irobot-create-gz-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-irobot-create-gz-bringup, ros-jazzy-irobot-create-gz-plugins, ros-jazzy-irobot-create-gz-toolbox, ros-jazzy-ros-workspace
Description: Metapackage for the iRobot(R) Create(R) 3 robot Ignition simulator
